step_factor2string {recipes} | R Documentation

## Convert Factors to Strings

### Description

`step_factor2string` will convert one or more factor vectors to strings.

### Usage

    step_factor2string(recipe, ..., role = NA, trained = FALSE,
      columns = FALSE, skip = FALSE, id = rand_id("factor2string"))

    ## S3 method for class 'step_factor2string'
    tidy(x, ...)

### Arguments

`recipe` | A recipe object. The step will be added to the sequence of operations for this recipe.
`...` | One or more selector functions to choose which variables will converted to strings See `selections()` for more details. For the `tidy` method, these are not currently used.
`role` | Not used by this step since no new variables are created.
`trained` | A logical to indicate if the quantities for preprocessing have been estimated.
`columns` | A character string of variables that will be converted. This is `NULL` until computed by `prep.recipe()`.
`skip` | A logical. Should the step be skipped when the recipe is baked by `bake.recipe()`? While all operations are baked when `prep.recipe()` is run, some operations may not be able to be conducted on new data (e.g. processing the outcome variable(s)). Care should be taken when using `skip = TRUE` as it may affect the computations for subsequent operations
`id` | A character string that is unique to this step to identify it.
`x` | A `step_factor2string` object.

### Details

`prep` has an option `strings_as_factors` that defaults to `TRUE`. If this step is used with the default option, the string(s() produced by this step will be converted to factors after all of the steps have been prepped.

### Value

An updated version of `recipe` with the new step added to the sequence of existing steps (if any). For the `tidy` method, a tibble with columns `terms` (the columns that will be affected).

### See Also

`step_string2factor()` `step_dummy()`

### Examples

    data(okc)

    rec <- recipe(~ diet + location, data = okc)

    rec <- rec %>%
      step_string2factor(diet)

    factor_test <- rec %>%
      prep(training = okc,
           strings_as_factors = FALSE,
           retain = TRUE) %>%
      juice
    # diet is a
    class(factor_test$diet)

    rec <- rec %>%
      step_factor2string(diet)

    string_test <- rec %>%
      prep(training = okc,
           strings_as_factors = FALSE,
           retain = TRUE) %>%
      juice
    # diet is a
    class(string_test$diet)

    tidy(rec, number = 1)

[Package recipes version 0.1.5 Index]